Topic: Dalilcoin 0.2.4

I've now released Dalilcoin 0.2.4. This is simply an upgrade to use the Zarith module instead of the old Big_int module. I've been testing it for a few weeks without any problems. It's much faster.

https://github.com/dalcoder/dalilcoin/r … tag/v0.2.4

Re: Dalilcoin 0.2.4

I am having trouble installing this version. It was clear from the initial errors, I needed to install Zarith. I got it from here:

https://github.com/ocaml/Zarith/release … ease-1.9.1

To install Zarith, I needed libgmp-dev:

sudo apt-get install libgmp-dev

After this I could install Zarith with configure, make, make install.

However, I still can't get Dalilcoin 0.2.4 to compile. When I do make I get this:

File "src/zarithint.mli", line 5, characters 19-22:
Error: Unbound module Z

It seems like it can't find Zarith still, even though ocamlfind does find it.

ocamlfind query zarith
/usr/local/lib/ocaml/4.01.0/zarith

Is it clear to you (or anyone else) what's going wrong here?

Re: Dalilcoin 0.2.4

That sounds like the same procedure I did to install Zarith and it worked for me. I'm not sure what could be going wrong in your case. I'll look into it and post again if I get any idea what the problem might be.